#include <vector>
#include <string>
#include <iostream>
#include <sstream>

using namespace std;

namespace comparison_benchmarks {
    namespace base {
        vector<string> get_sample_image_paths() {
            const int num_images = 19;

            vector<string> result(num_images);
            for (int i = 0; i < num_images; i++) {
                ostringstream string_stream;
                string_stream << "@CMAKE_CURRENT_SOURCE_DIR@/sample_images/" << i << ".jpg";
                result[i] = string_stream.str();
            }

            return result;
        }
    }
}
